#castle west mark of fire
from eventAPI import *
from APIUtils import *

rtkeep1Fire = 0

def fireEvent(e):
   global rtkeep1Fire
   rtkeep1Fire = getTag(e, "rtkeep1Fire")
   if (rtkeep1Fire > 0):
      return 1
   else:
      if (poseYesNo(e, ["The symbol on the wall here is glowing.", "", "Will you touch the Symbol of Fire?"])):
         giveMark(e)
   if (rtkeep1Fire != 0):
      return 1
   else:
      return 0

def giveMark(e):
   global rtkeep1Fire      
   rtkeep1Fire = 1
   setTag(e, "rtkeep1Fire", rtkeep1Fire)
   showMessage(e, ["A wave of heat washes over you and you drop to your knees."], optionInput)
   showMessage(e, ["When you recover, you notice that the symbol is no longer glowing."], optionInput)
   partyIdx = 0
   while (partyIdx < getPartyCount(e)):
      modifyHP(e, partyIdx, -30)
      partyIdx += 1
   return 1
